Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

Major noob question, I fear...

I'm trying to install an Intel xf86 graphics driver (for an integrated Intel G33 GFx chipset) in 12.04 and come up with the following error:

checking for DRMINTEL... no
configure: error: Package requirements (libdrm_intel >= 2.4.29) were not met:

No package 'libdrm_intel' found

Consider adjusting the PKG_CONFIG_PATH environment variable if you
installed software in a non-standard prefix.

Alternatively, you may set the environment variables DRMINTEL_CFLAGS
and DRMINTEL_LIBS to avoid the need to call pkg-config.
See the pkg-config man page for more details.

Over on "Lunar Linux" I've found reference to the same error (reported under slightly different circumstances) and reference to a different but similar error which are allegedly "solved by recompilation of cairo".

No idea what the latter really means, but I found this on the cairo homepage:

sudo apt-get install libcairo2-dev

Which installed ok, but doesn't solve the problem. So I don't know if that command didn't recompile it, or whether it did, but I have a different problem.

What to do now?

share|improve this question
    
You should state what graphics driver you're trying to compile exactly. –  dobey May 21 '12 at 21:35
    
Given there seem to be other instances of people having this problem I thought the symptoms were more relevant than my objective, however point taken! Details added... –  Mark Whitehead May 22 '12 at 8:50
add comment

2 Answers 2

Ok, so having done a little digging, responses to problems when installing older bespoke GFx drivers seems to focus around is there actually a problem? If not, just use the default drivers.

The facts are: a) Displays work, I just can't tell how effectively. No obvious glitching though. The rare occasion I play a game with 3D texturing it seems to work ok- being integrated GFx it was never going to be earth-shattering anyway. b) The required max resolution is achieved on my LCD, being 1680 x 1050.

So, to address myself- you don't really have a problem here; so the system says "Graphics: Unknown", that's not a problem- it seems to be working as much as you need it to, and with a generic driver for a multi-purpose Intel chipset family it might not give any more useful info! And if you were doing proper GFx intensive stuff you'd be fitting a dedicated card, with decent drivers.

(Although I reserve the right to correct myself if I find something that works in the future!)

share|improve this answer
add comment

Try adding the PPA xorg-edgers and installing libdrm-dev package from that PPA by issuing these commands in a terminal window. I fixed a similar problem by doing this.

sudo apt-add-repository ppa:xorg-edgers
sudo apt-get update  
sudo apt-get install libdrm-dev
share|improve this answer
add comment

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.